package com.clx.performance;

import com.clx.order.feign.OrderFeign;
import com.clx.order.vo.feign.OrderOwnTruckVo;
import com.clx.performance.component.GoodsOrderTruckRecordComponent;
import com.clx.performance.component.OrderGoodsStatusLazyComponent;
import com.clx.performance.dao.OrderGoodsDao;
import org.junit.Test;
import org.junit.runner.RunWith;
import org.springframework.amqp.rabbit.core.RabbitTemplate;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.boot.test.context.SpringBootTest;
import org.springframework.data.redis.core.StringRedisTemplate;
import org.springframework.test.context.junit4.SpringRunner;

import java.util.LinkedList;
import java.util.List;
import java.util.stream.Collectors;

@SpringBootTest
@RunWith(SpringRunner.class)
public class JobTest {

    @Autowired
    private OrderFeign orderFeign;

    @Autowired
    private RabbitTemplate rabbitTemplate;

    @Autowired
    private StringRedisTemplate stringRedisTemplate;

    @Autowired
    private OrderGoodsStatusLazyComponent orderGoodsStatusLazyComponent;

    @Autowired
    private OrderGoodsDao orderGoodsDao;

    @Autowired
    private GoodsOrderTruckRecordComponent recordComponent;
    @Test
    public void test1() {
        List<String> a3 = new LinkedList<>();
        a3.add("3");
        List<String> a4 = new LinkedList<>();
        a4.add("4");
        List<String> a1 = new LinkedList<>();
        a1.add("1234");
        a1.add("5678");
        List<String> a2 = new LinkedList<>();
        a2.add("22212");
        a2.add("2341231");
        recordComponent.saveTruckRecord("123",a2);
        recordComponent.saveTruckRecord("123",a1);
        recordComponent.saveTruckRecord("123",a3);
        recordComponent.saveTruckRecord("456", a2);
        recordComponent.saveTruckRecord("456", a4);
        recordComponent.getTruckList();
        System.out.println();
    }
}
